image:
  registry: registry.gitlab.com
  repository: blauwe-knop/vorderingenoverzicht/bk-config-db
# tag:
  pullPolicy: IfNotPresent

nameOverride: ""
fullnameOverride: "bk-config-db"

serviceAccount:
  create: false
  automount: true
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

securityContext:
  allowPrivilegeEscalation: false
  capabilities:
    drop: ["ALL"]
  runAsNonRoot: true
  readOnlyRootFilesystem: true
  runAsUser: 10001
  runAsGroup: 10001
  seccompProfile:
    type: RuntimeDefault

resources:
  limits:
    cpu: 200m
    memory: 64Mi
  requests:
    cpu: 50m
    memory: 64Mi

azure: false
azureClientId: string
azureDestinationPath: url
azureBackupSchedule: "0 0 2 30 * *"  # Daily at 2:30 AM UTC

#Whether a cloud-native Postgres should be started and run against
#When set to false, make sure to manually create a secret named "bk-config-db-app",
#containing the fields "username" and "password" as data,
#because those fields are still being used in this chart
enableCloudNativePG: true
cloudNativePGStorageSize: 10Gi

#Postgresql instance to connect to
pgHost: bk-config-db-rw
pgPort: 5432
pgDatabase: bk-config-db
#Whether to use SSL (require|disable|verify-ca|verify-full)
pgSslmode: require